How to get cocoapods work on Yosemite

查看原文:http://leancodingnow.com/how-to-get-cocoapods-work-on-yosemite/

今天升级了Mac OS X 10.10-Yosemite以后运行pod install遇到下面的错误: /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/fileutils.rb:245:in 'mkdir': Permission denied - /Library/Ruby/Gems/2.0.0/extensions/universal-darwin-14 (Errno::EACCES)

一番折腾后找到解决方案如下:

  1. 分别执行下面命令卸载cocoapods和xcodeproj,如果你的机器上面有多个版本,选择All versions卸载 
    $ sudo gem uninstall cocoapods

    $ sudo gem uninstall xcodeproj

  2. 分别执行下面命令安装xcodeproj和cocoapods 
    $ sudo gem install xcodeproj

    $ sudo gem install cocoapods

接下来尝试执行pod install,如果您还遇到下面的错误Error loading the plugin with path '/Library/Ruby/Gems/2.0.0/gems/cocoapods-plugins-0.3.1/lib/cocoapods_plugin.rb'. Errno::EACCES - Permission denied - /Library/Ruby/Gems/2.0.0/extensions/universal-darwin-14

运行命令$ gem update --system即可。

如果您还遇到这样的错误Unable to load a specification for the plugin '/Library/Ruby/Gems/2.0.0/gems/cocoapods-try-release-fix-0.1.2',运行命令sudo gem uninstall cocoapods-try-release-fix后再运行sudo gem install cocoapods

其它博文:

More blog posts on http://leancodingnow.com/ 

欢迎关注我的微信公众号

 

Hope this helps, 
Michael

posted on 2014-10-17 18:50  MobileGeek  阅读(429)  评论(0编辑  收藏  举报